Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.insurabilityv2.builders.impl
Class RequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.insurabilityv2.builders.impl.RequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder

    public class RequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder

Implementation of the interface `RequestObjectBuilder`

Constructor Summary
`RequestObjectBuilderImpl()`

Method Summary
`GetInsurabilityForPharmacistRequest` | `buildInsurabilityForPharmacistRequest(boolean isTest, InsurabilityReferences references, InsurabilityForPharmacistRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestObjectBuilderImpl

    public RequestObjectBuilderImpl()

Method Detail

### buildInsurabilityForPharmacistRequest

    public GetInsurabilityForPharmacistRequest buildInsurabilityForPharmacistRequest(boolean isTest,
                                                                                     InsurabilityReferences references,
                                                                                     InsurabilityForPharmacistRequest request)
                                                                              throws TechnicalConnectorException

  Specified by:
    `buildInsurabilityForPharmacistRequest` in interface `RequestObjectBuilder`
  Returns:
  Throws:
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.businessconnector.insurabilityv2.builders.RequestObjectBuilder#buildSendConsultRequest(boolean, be.ehealth.businessconnector.insurabilityv2.domain.InsurabilityReferences, be.fgov.ehealth.insurability.core.v2.InsurabilityForPharmacistRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.